package gov.va.med.esr.service.impl;

import gov.va.med.fw.service.AbstractComponent;

import org.aopalliance.intercept.MethodInterceptor;
import org.aopalliance.intercept.MethodInvocation;

public class PSIMSOADelegateServiceAdvice extends AbstractComponent implements
		MethodInterceptor {

	/* (non-Javadoc)
	 * @see org.aopalliance.intercept.MethodInterceptor#invoke(org.aopalliance.intercept.MethodInvocation)
	 */
	public Object invoke(MethodInvocation arg0) throws Throwable {
		try {
			return arg0.proceed();
		} catch(Exception e) {
			logger.error("Exception in PSIMSOADelegateServiceAdvice method", e);
			throw e;
		}
	}
}
